Summary:	xauth - X authority file utility
Summary(pl.UTF-8):	xauth - narzędzie do plików X authority
Name:		xorg-app-xauth
Version:	1.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xauth-%{version}.tar.bz2
# Source0-md5:	e50587c1bb832aafd1a19d91a0890a0b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXext-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	X11-xauth < 1:7.0.0
Obsoletes:	XFree86-xauth < 1:7.0.0
Obsoletes:	xauth < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xauth program is used to edit and display the authorization
information used in connecting to the X server. This program is
usually used to extract authorization records from one machine and
merge them in on another (as is the case when using remote logins or
granting access to other users).

%description -l pl.UTF-8
Program xauth służy do edycji i wyświetlania informacji
autoryzacyjnych używanych przy łączeniu z X serwerem. Ten program
przeważnie jest używany do wyciągania rekordów autoryzacji z jednej
maszyny i dołączania ich na innej (w celu umożliwienia zdalnego
logowania lub udostępnienia innym użytkownikom).

%prep
%setup -q -n xauth-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xauth
%{_mandir}/man1/xauth.1*
%changelog
* Sun Aug 25 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xauth.git;a=log;h=master

* Mon Jul 15 2019 Jakub Bogusz <qboosh@pld-linux.org> bb78fef
- updated to 1.1

* Mon Jan 30 2017 Jakub Bogusz <qboosh@pld-linux.org> b1e781b
- updated to 1.0.10

* Sat Apr 18 2015 Jan Rękorajski <baggins@pld-linux.org> 90eab23
- release 3 (by relup.sh)

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> 25ad461
- x32 rebuild
- release 2 (by relup.sh)

* Thu Apr 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 5be9a09
- updated to 1.0.9

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> fe093c8
- fixed build without xman suffix

* Mon Oct 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 566d5b7
- updated to 1.0.8

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 0005bc6
- updated to 1.0.7

* Wed May 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 1a1e8bf
- updated to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f6065ca
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 2f5eb24
- updated to 1.0.5

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 9c4d078
- updated util-macros version
- added README to doc

* Tue Sep 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> cfafd92
- up to 1.0.4

* Thu Mar 06 2008 Jakub Bogusz <qboosh@pld-linux.org> a7b1463
- BR: util-macros 1.1

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f169c9
- up to 1.0.3

* Mon Feb 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4362c26
- rebuild to fix FileDigestParameterized issue

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8cdfc42
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4bb046f
- converted to UTF-8

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> dc8f92c
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

* Wed Dec 13 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0531af7
- up to 1.0.2

